#include<iostream>
#include<conio.h>
using namespace std;
class MiyanginUpeer15Class
{
	private :
		double JameVorodi;
		int i, n;
	public :
		double x;
		MiyanginUpeer15Class() //constructor
		{
			JameVorodi = 0;
			n = 0;
		}
		void Process()
		{
			for(i = 0; i < 30; i++)
			{
				cin >> x;
				if (x > 15)
				{
					JameVorodi += x;
					n ++;
				}
			}
		}
		double GetMiyanginUpper15()
		{
			if(n > 0)
				return JameVorodi / n;
			else
				return 0;
		}	
};

int main()
{
	MiyanginUpeer15Class A;
	double m;
	cout << "Tedade 30 Moadel ra be tartib vared konid : ";
	A.Process();
	m = A.GetMiyanginUpper15();
	if (m != 0)
		cout << "Miyangin Moadele > 15 = " << m << endl;
	else
		cout << "Miyangin Moadele > 15 = 0";
	getch();
}

